### Method

# GIRepository Typelib symbol

since: 2.80

#### Declaration

    gboolean
    gi_typelib_symbol (
      GITypelib* typelib,
      const char* symbol_name,
      void** symbol
    )

#### Description

Loads a symbol from a `GITypelib`.

Available since: 2.80

#### Parameters

`symbol_name`

  Type: `const char*`

  Name of symbol to be loaded.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`symbol`

  Type: `void**`

  Returns a pointer to the symbol value, or `NULL` on failure.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.